Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc.search
Interface ISearchResponse

public interface ISearchResponse

Interface for search results.

Method Summary
`int` | `getFirstResultIndex()` Gets the index of the first result returned.
`ISearchResultSet` | `getResultSet()` Returns the actual collection of results.
`int` | `getReturnedCount()` Gets the number of results returned.
`int` | `getTotalCount()` Gets the total count of results.
`SearchWarning` | `getWarning()` Gets the `SearchWarning`, or null if there is no `SearchWarning`.

Method Detail

### getResultSet

    public ISearchResultSet getResultSet()

  Returns the actual collection of results.

  Returns:
    the search result set

### getFirstResultIndex

    public int getFirstResultIndex()

  Gets the index of the first result returned. E.g. if we are viewing results 11-20 of 28, this is 12 (0 based).

  Returns:
    the index of the first result returned

### getReturnedCount

    public int getReturnedCount()

  Gets the number of results returned. E.g. if we are viewing results 11-20 of 28, this is 10 (= 20-11+1).

  Returns:
    the number of results returned

### getTotalCount

    public int getTotalCount()

  Gets the total count of results. E.g. if we're viewing results 11-20 of 28, this is 28.

  Returns:
    the total count of results

### getWarning

    public SearchWarning getWarning()

  Gets the `SearchWarning`, or null if there is no `SearchWarning`.

  Returns:
    `SearchWarning`, or null if there is no `SearchWarning`.
  See Also:
    `SearchWarning`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.